Subject: Re: BUG: egcs-1.1-mingw32 - gcc -o hello hello.C
From: [email-masked] (Charles Wilson)

16 Oct 1998 08:58:52 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Mumit Khan <[email-masked]>
Cc: Earnie Boyd <[email-masked]>, gw32 <[email-masked]>

Mumit Khan wrote:

> On Wed, 14 Oct 1998, Earnie Boyd wrote:
>
> > When giving this command with mingw32 version of egcs-1.1 the stdc++
> > library isn't properly included at the execution of ld.  This is the
> > only problem with this command.
> >
> > g++ -o hello hello.C will properly add the library.
> >
>
> Hi Earnie,
>
> I'm a bit confused ... "gcc" is the C driver, and "g++" or "c++" is the
> C++ driver. "gcc" will not and should not C++ specific libraries, and the
> only correct and portable way to link C++ programs is to use the "c++" or
> "g++" driver. If "gcc" adds C++ specific libraries, it's a bug, not a
> feature.
>
> Correct way to link C++ programs:
>
>   $ c++ -o hello hello.cc
>
> (or alternatively use g++, which is just a link to c++).
>

<snip>

Up until recently, I believe that gcc when called on a c++ source file,
would call g++, and everything would be fine. This broke at gcc 2.8.0 on
HP-UX, so now you have to call g++ explicitly. I don't know the heritage of
egcs, but it could have inherited this behavior, and thus (egcs) gcc does
not helpfully call (egcs) g++ for you.

--Chuck

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".